Gps SkyView

Plasma 4 Extensions

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
5.0
Description:

Small Plasoid for viewing GPS satellites status in sky view.
(connecting only to localhost:2947 - GPSD, you need configured GPSD)
Last changelog:

12 years ago

(v0.2)
- show satellites signal level with "waves" (0: < 10dB, 1: >= 10dB, .. 4: >= 40dB)
- fixed hiding icons and text (autohide after 10s)
- removed one svg (first uninstall previous version)

(v0.1) initial release

mkbiker

11 years ago

This plasmoid is abandoned? It don't work with kde 4.2

Report

nephros

12 years ago

Hello, first of all thanks for making an app like this, I have been looking for exactly this for my netbook/gps/mapping/navigation system setup.


But I am getting compile errors with KDE4.2 and QT 4.4:

first cmake complains about find_package(Plasma):

FindPlasma.cmake is deprecated. Now with KDE 4.2 Plasma is part of kdelibs
and automatically found using find_package(KDE4) instead.

So I removed that find_package call from CMakeLists.txt and renamed PLASMA_LIBS to KDE4_PLASMA_LIBS. This makes cmake finish, but at the linking stage I get:
Linking CXX shared module lib/plasma_applet_gps.so
CMakeFiles/plasma_applet_gps.dir/plasma-gps.o: In function `PlasmaGPS::init()':
/home/nephros/download/skins/plasma/plasma-gps-0.2/plasma-gps.cpp:55: undefined reference to `QTcpSocket::QTcpSocket(QObject*)'
/home/nephros/download/skins/plasma/plasma-gps-0.2/plasma-gps.cpp:62: undefined reference to `QAbstractSocket::abort()'
CMakeFiles/plasma_applet_gps.dir/plasma-gps.o: In function `PlasmaGPS::mousePressEvent(QGraphicsSceneMouseEvent*)':
/home/nephros/download/skins/plasma/plasma-gps-0.2/plasma-gps.cpp:155: undefined reference to `QAbstractSocket::abort()'
/home/nephros/download/skins/plasma/plasma-gps-0.2/plasma-gps.cpp:156: undefined reference to `QAbstractSocket::connectToHost(QString const&, unsigned short, QFlags<QIODevice::OpenModeFlag>)'
CMakeFiles/plasma_applet_gps.dir/plasma-gps.o: In function `~PlasmaGPS':
/home/nephros/download/skins/plasma/plasma-gps-0.2/plasma-gps.cpp:46: undefined reference to `QAbstractSocket::abort()'
/home/nephros/download/skins/plasma/plasma-gps-0.2/plasma-gps.cpp:46: undefined reference to `QAbstractSocket::abort()'
/home/nephros/download/skins/plasma/plasma-gps-0.2/plasma-gps.cpp:46: undefined reference to `QAbstractSocket::abort()'
collect2: ld returned 1 exit status

I am quite positive that I have libQtNetwork installed, but apparenly the build process fails to find it.

I would be very thankful if someone here could look into this.

Thanks!

Report

nephros

12 years ago

I found it:

need to add ${KDE4_KIO_LIBS} to target_link_libraries in CMakeLists.txt

Report

12 years ago

(v0.2)
- show satellites signal level with "waves" (0: < 10dB, 1: >= 10dB, .. 4: >= 40dB)
- fixed hiding icons and text (autohide after 10s)
- removed one svg (first uninstall previous version)

(v0.1) initial release

12345678910
Be the first to comment
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.2
updated Aug 18 2008
added Aug 15 2008
downloads 24h
0
mediaviews 24h 0
pageviews 24h 1

Appimages

To install any downloaded Appimage via GUI, use this tool AppImagelauncher.

To install Appimages from Appimagehub via CLI use appimage-cli-tool.
This allows you to e.g. search appimages with "app search xyz" and install any appimage via command "app install #id".

If you are a developer who is interested to easily build appimages from your code repo, read the guide here.